{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_forms slow_promote %}

{% block page_title %}
    {% translate "Search" %}
{% endblock %}

{% block content_title %}
    {% translate "Search" %}
{% endblock %}

{% block content %}

    <div class="search topic_search">

        {# Search form #}
        
        <form method="get" action="{% url 'slow_forum:search-topics' %}" class="w-50">
            {% bootstrap_form_search form %}
        </form>

        {# Search results #}

        {% if query %}

            {# Tab selector #}

            <div class="tab_selector mt-5">

                <ul class="nav nav-tabs">

                    {# Topic search results tab #}
                    
                    <li class="nav-item">
                        {% if search_type == "topic" %}
                            <a class="nav-link active" aria-current="page" href="#">
                                {% translate "Topics" %}
                            </a>
                        {% else %}
                            <a class="nav-link active" aria-current="page" href="{% url 'slow_app:search-topics' %}">
                                {% translate "Topics" %}
                            </a>
                        {% endif %}

                    </li>

                    {# Topic reply search results tab #}
                    
                    <li class="nav-item">
                        <a class="nav-link" href="#">
                            {% translate "Topic replies" %}
                        </a>
                    </li>


                    {# User profile search results tab #}
                    
                    <li class="nav-item">
                        <a class="nav-link" href="#">
                            {% translate "Profiles" %}
                        </a>
                    </li>

                </ul>


            </div>
            
            <div class="search_results mt-2">

                {% for topic in search_results %}

                    {% if search_type == "topic" %}
                        
                        {# One topic from search results #}

                        {% promote_topic topic %}
                        
                    {% endif %}

                {% empty %}

                    <p>
                        {% translate "No result for:" %} "<strong>{{ query }}</strong>"
                    </p>
                    
                {% endfor %}
                
            </div>

        {% endif %}

    </div>
    
{% endblock %}
